import 'package:flutter/material.dart';
import 'package:test_sa/extensions/int_extensions.dart';
import 'package:test_sa/extensions/text_extensions.dart';
import 'package:test_sa/extensions/widget_extensions.dart';
import 'package:test_sa/new_views/app_style/app_color.dart';
import 'package:test_sa/new_views/common_widgets/app_filled_button.dart';

class SingleBtnDialog extends StatelessWidget {
  final String? title;
  final String? message;
  final String? okTitle;
  final VoidCallback? onTap;

  const SingleBtnDialog({Key? key, this.title, this.message, this.okTitle, this.onTap}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Dialog(
      backgroundColor: Colors.white,
      shape: const RoundedRectangleBorder(),
      insetPadding: const EdgeInsets.only(left: 21, right: 21),
      child: Padding(
        padding: const EdgeInsets.only(left: 20, right: 20, top: 18, bottom: 28),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: [
            Text(
              title ?? "Confirm",
              style: const TextStyle(fontSize: 24, fontWeight: FontWeight.w600, color: Colors.black87, height: 35 / 24, letterSpacing: -0.96),
            ).paddingOnly(top: 16),
            message != null ? message!.heading5(context).custom(color: AppColor.neutral70) : const SizedBox(),
            28.height,
            AppFilledButton(
              label: okTitle ?? "OK",
              height: 46,
              onPressed: onTap ?? () => Navigator.pop(context),
              textColor: Colors.white,
              //color: Ap.green,
            ),
          ],
        ),
      ),
    );
  }
}
